# TdApi.AddLogMessage (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AddLogMessage

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddLogMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.AddLogMessage

Enclosing class:
  TdApi

public static final class TdApi.AddLogMessage extends TdApi.Function<TdApi.Ok>
Adds a message to TDLib internal log. Can be called synchronously. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`text`
Text of a message to log.
`int`
`verbosityLevel`
The minimum verbosity level needed for the message to be logged; 0-1023.

## Constructor Summary

Constructors
Constructor
Description
`AddLogMessage()`
Adds a message to TDLib internal log.
`AddLogMessage(int verbosityLevel, String text)`
Adds a message to TDLib internal log.
`AddLogMessage(DataInput input)`
Adds a message to TDLib internal log.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### verbosityLevel

public int verbosityLevel
The minimum verbosity level needed for the message to be logged; 0-1023.

### text

public String text
Text of a message to log.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AddLogMessage

public AddLogMessage()
Adds a message to TDLib internal log. Can be called synchronously. Returns `Ok`

### AddLogMessage

public AddLogMessage(int verbosityLevel, String text)
Adds a message to TDLib internal log. Can be called synchronously. Returns `Ok`

Parameters:
  `verbosityLevel` - int The minimum verbosity level needed for the message to be logged; 0-1023.
  `text` - String Text of a message to log.

### AddLogMessage

public AddLogMessage(DataInput input) throws IOException
Adds a message to TDLib internal log. Can be called synchronously. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`